
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>在ASP.NET中如何防范SQL注入式攻击 / iVAN</title>

    <meta name="description" content="在ASP.NET中如何防范SQL注入式攻击 asp.net|sql|攻击 一.什么是SQL注入式攻击? 所谓SQL注入式攻击,就是攻击者把SQL命令插入到Web表单的输入域或页面请求的查询字符串,欺骗服务器执行恶意的SQL命令.在某些表单中,用户输入的内容直接用来构造(或者影响)动态SQL命令,或作为存储过程的输入参数,这类表单特别容易受到SQL注入式攻击.常见的SQL注入式攻击过程类如: ⑴ 某个ASP.NET Web应用有一个登录页面,这个登录页面控制着用户是否有权访问应用,它要求用户输入一个名称和密码. ⑵ 登录页面中输入的内容将直">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">在ASP.NET中如何防范SQL注入式攻击</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>asp.net|sql|攻击</p>
<p>　　<strong>一、什么是SQL注入式攻击？ <br /></strong>　　 <br />　　所谓SQL注入式攻击，就是攻击者把SQL命令插入到Web表单的输入域或页面请求的查询字符串，欺骗服务器执行恶意的SQL命令。在某些表单中，用户输入的内容直接用来构造（或者影响）动态SQL命令，或作为存储过程的输入参数，这类表单特别容易受到SQL注入式攻击。常见的SQL注入式攻击过程类如： <br />　　 <br />　　⑴ 某个ASP.NET Web应用有一个登录页面，这个登录页面控制着用户是否有权访问应用，它要求用户输入一个名称和密码。 <br />　　 <br />　　⑵ 登录页面中输入的内容将直接用来构造动态的SQL命令，或者直接用作存储过程的参数。下面是ASP.NET应用构造查询的一个例子： <br />　　 <br />　　System.Text.StringBuilder query = new System.Text.StringBuilder( <br />　　"SELECT * from Users WHERE login = '") <br />　　.Append(txtLogin.Text).Append("' AND password='") <br />　　.Append(txtPassword.Text).Append("'"); <br />　　 <br />　　⑶ 攻击者在用户名字和密码输入框中输入"'或'1'='1"之类的内容。 <br />　　 <br />　　⑷ 用户输入的内容提交给服务器之后，服务器运行上面的ASP.NET代码构造出查询用户的SQL命令，但由于攻击者输入的内容非常特殊，所以最后得到的SQL命令变成：SELECT * from Users WHERE login = '' or '1'='1' AND password = '' or '1'='1'。 <br />　　 <br />　　⑸ 服务器执行查询或存储过程，将用户输入的身份信息和服务器中保存的身份信息进行对比。 <br />　　 <br />　　⑹ 由于SQL命令实际上已被注入式攻击修改，已经不能真正验证用户身份，所以系统会错误地授权给攻击者。 <br />　　 <br />　　如果攻击者知道应用会将表单中输入的内容直接用于验证身份的查询，他就会尝试输入某些特殊的SQL字符串篡改查询改变其原来的功能，欺骗系统授予访问权限。 <br />　　 <br />　　系统环境不同，攻击者可能造成的损害也不同，这主要由应用访问数据库的安全权限决定。如果用户的帐户具有管理员或其他比较高级的权限，攻击者就可能对数据库的表执行各种他想要做的操作，包括添加、删除或更新数据，甚至可能直接删除表。 <br />　　 <br />　　<strong>二、如何防范？</strong> <br />　　 <br />　　好在要防止ASP.NET应用被SQL注入式攻击闯入并不是一件特别困难的事情，只要在利用表单输入的内容构造SQL命令之前，把所有输入内容过滤一番就可以了。过滤输入内容可以按多种方式进行。 <br />　　 <br />　　⑴ 对于动态构造SQL查询的场合，可以使用下面的技术： <br />　　 <br />　　第一：替换单引号，即把所有单独出现的单引号改成两个单引号，防止攻击者修改SQL命令的含义。再来看前面的例子，“SELECT * from Users WHERE login = ''' or ''1''=''1' AND password = ''' or ''1''=''1'”显然会得到与“SELECT * from Users WHERE login = '' or '1'='1' AND password = '' or '1'='1'”不同的结果。 <br />　　 <br />　　第二：删除用户输入内容中的所有连字符，防止攻击者构造出类如“SELECT * from Users WHERE login = 'mas' -- AND password =''”之类的查询，因为这类查询的后半部分已经被注释掉，不再有效，攻击者只要知道一个合法的用户登录名称，根本不需要知道用户的密码就可以顺利获得访问权限。 <br />　　 <br />　　第三：对于用来执行查询的数据库帐户，限制其权限。用不同的用户帐户执行查询、插入、更新、删除操作。由于隔离了不同帐户可执行的操作，因而也就防止了原本用于执行SELECT命令的地方却被用于执行INSERT、UPDATE或DELETE命令。 <br />　　 <br />　　⑵ 用存储过程来执行所有的查询。SQL参数的传递方式将防止攻击者利用单引号和连字符实施攻击。此外，它还使得数据库权限可以限制到只允许特定的存储过程执行，所有的用户输入必须遵从被调用的存储过程的安全上下文，这样就很难再发生注入式攻击了。 <br />　　 <br />　　⑶ 限制表单或查询字符串输入的长度。如果用户的登录名字最多只有10个字符，那么不要认可表单中输入的10个以上的字符，这将大大增加攻击者在SQL命令中插入有害代码的难度。 <br />　　 <br />　　⑷ 检查用户输入的合法性，确信输入的内容只包含合法的数据。数据检查应当在客户端和服务器端都执行——之所以要执行服务器端验证，是为了弥补客户端验证机制脆弱的安全性。 <br />　　 <br />　　在客户端，攻击者完全有可能获得网页的源代码，修改验证合法性的脚本（或者直接删除脚本），然后将非法内容通过修改后的表单提交给服务器。因此，要保证验证操作确实已经执行，唯一的办法就是在服务器端也执行验证。你可以使用许多内建的验证对象，例如RegularExpressionValidator，它们能够自动生成验证用的客户端脚本，当然你也可以插入服务器端的方法调用。如果找不到现成的验证对象，你可以通过CustomValidator自己创建一个。 <br />　　 <br />　　⑸ 将用户登录名称、密码等数据加密保存。加密用户输入的数据，然后再将它与数据库中保存的数据比较，这相当于对用户输入的数据进行了“消毒”处理，用户输入的数据不再对数据库有任何特殊的意义，从而也就防止了攻击者注入SQL命令。System.Web.Security.FormsAuthentication类有一个HashPasswordForStoringInConfigFile，非常适合于对输入数据进行消毒处理。 <br />　　 <br />　　⑹ 检查提取数据的查询所返回的记录数量。如果程序只要求返回一个记录，但实际返回的记录却超过一行，那就当作出错处理。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 20:54:48</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e8%be%93%e5%85%a5/" title="输入">输入</a>, <a href="https://www.iamivan.net/tag/%e7%94%a8%e6%88%b7/" title="用户">用户</a>, <a href="https://www.iamivan.net/tag/%e5%ad%98%e5%82%a8%e8%bf%87%e7%a8%8b/" title="存储过程">存储过程</a>, <a href="https://www.iamivan.net/tag/%e5%91%bd%e4%bb%a4/" title="命令">命令</a>, <a href="https://www.iamivan.net/tag/%e6%9f%a5%e8%af%a2/" title="查询">查询</a>, <a href="https://www.iamivan.net/tag/%e6%b3%a8%e5%85%a5%e5%bc%8f/" title="注入式">注入式</a>, <a href="https://www.iamivan.net/tag/sql%e7%9b%b4%e6%8e%a5%e6%9f%a5%e8%af%a2/" title="SQL直接查询">SQL直接查询</a>, <a href="https://www.iamivan.net/tag/asp-net%e9%98%b2%e8%8c%83%e6%94%bb%e5%87%bb/" title="ASP&period;NET防范攻击">ASP&period;NET防范攻击</a>, <a href="https://www.iamivan.net/tag/%e6%89%a7%e8%a1%8csql%e6%b3%a8%e5%85%a5%e6%9f%a5%e8%af%a2/" title="执行SQL注入查询">执行SQL注入查询</a>, <a href="https://www.iamivan.net/tag/sql%e6%9f%a5%e8%af%a2%e8%a1%a8%e5%8d%95/" title="SQL查询表单">SQL查询表单</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>在ASP.NET中如何防范SQL注入式攻击的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMqkwGz.html" rel="bookmark">ASP&period;NET中如何防范SQL注入式攻击</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|攻击 一.什么是SQL注入式攻击?所谓SQL注入式攻击,就是攻击者把SQL命令插入到Web表单的输入域或页面请求的查询字符串,欺骗服务器执行恶意的SQL命令.在某些表单中,用户输入的内容直接用来构造(或者影响)动态SQL命令,或作为存储过程的输入参数,这类表单特别容易受到SQL注入式攻击.常见的SQL注入式攻击过程类如: ⑴ 某个ASP.NET Web应用有一个登录页面,这个登录页面控制着用户是否有权访问应用,它要求用户输入一个名称和密码. ⑵ 登录页面中输入的内容将直接用来构造			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp5jJaz.html" rel="bookmark">讲解ASP&period;NET中如何防范SQL注入式攻击</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|攻击 一.什么是SQL注入式攻击 所谓SQL注入式攻击,就是攻击者把SQL命令插入到Web表单的输入域或页面请求的查询字符串,欺骗服务器执行恶意的SQL命令.在某些表单中,用户输入的内容直接用来构造(或者影响)动态SQL命令,或作为存储过程的输入参数,这类表单特别容易受到SQL注入式攻击.常见的SQL注入式攻击过程类如: ⑴ 某个ASP.NET Web应用有一个登录页面,这个登录页面控制着用户是否有权访问应用,它要求用户输入一个名称和密码. ⑵ 登录页面中输入的内容将直接用来构造			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEYJmJb.html" rel="bookmark">ASP&period;NET防范SQL注入式攻击的方法&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.什么是SQL注入式攻击?  SQL注入式攻击就是攻击者把SQL命令插入到Web表单的输入域或页面请求的查询字符串,欺骗服务器执行恶意的SQL命令.在某些表单中,用户输入的内容直接用来构造(或者影响)动态SQL命令,或作为存储过程的输入参数,这类表单特别容易受到SQL注入式攻击.常见的SQL注入式攻击过程类如:  ⑴ 某个ASP.NET Web应用有一个登录页面,这个登录页面控制着用户是否有权访问应用,它要求用户输入一个名称和密码.  ⑵ 登录页面中输入的内容将直接用来构造动态的SQL命令,或			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/4MY3EQz.html" rel="bookmark">防范SQL注入式攻击</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				攻击 SQL注入式攻击是利用是指利用设计上的漏洞,在目标服务器上运行Sql命令以及进行其他方式的攻击动态生成Sql命令时没有对用户输入的数据进行验证是Sql注入攻击得逞的主要原因.比如: 如果你的查询语句是select * from admin where username='&quot;&amp;user&amp;&quot;' and password='&quot;&amp;pwd&amp;&quot;'&quot;  那么,如果我的用户名是:1' or '1'='1 那么,你的查询语句将会变成: 			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Nz77DXz.html" rel="bookmark">防范SQL注入式攻击～</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				攻击 SQL注入式攻击是利用是指利用设计上的漏洞,在目标服务器上运行Sql命令以及进行其他方式的攻击动态生成Sql命令时没有对用户输入的数据进行验证是Sql注入攻击得逞的主要原因.比如: 如果你的查询语句是select * from admin where username='&quot;&amp;user&amp;&quot;' and password='&quot;&amp;pwd&amp;&quot;'&quot; 那么,如果我的用户名是:1' or '1'='1 那么,你的查询语句将会变成: s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKq96Op.html" rel="bookmark">防范SQL注入式攻击&lowbar;相关技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				比如: 如果你的查询语句是select * from admin where username=&quot;&amp;user&amp;&quot; and password=&quot;&amp;pwd&amp;&quot;&quot; 那么,如果我的用户名是:1 or 1=1 那么,你的查询语句将会变成: select * from admin where username=1 or 1=1 and password=&quot;&amp;pwd&amp;&quot;&quot; 这样你的查询语句就通			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2pLAWAz.html" rel="bookmark">在PHP中全面阻止SQL注入式攻击</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				攻击 在本系列文章中,我们将全面探讨如何在PHP开发环境中全面阻止SQL注入式攻击,并给出一个具体的开发示例. 一. 引言 PHP是一种力量强大但相当容易学习的服务器端脚本语言,即使是经验不多的程序员也能够使用它来创建复杂的动态的web站点.然而,它在实现因特网服务的秘密和安全方面却常常存在许多困难.在本系列文章中,我们将向读者介绍进行web开发所必需的安全背景以及PHP特定的知识和代码-你可以借以保护你自己的web应用程序的安全性和一致性.首先,我们简单地回顾一下服务器安全问题-展示你如何存取			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZOw94b.html" rel="bookmark">在PHP中全面阻止SQL注入式攻击之一</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在本系列文章中,我们将全面探讨如何在PHP开发环境中全面阻止SQL注入式攻击,并给出一个具体的开发示例. 一. 引言 PHP是一种力量强大但相当容易学习的服务器端脚本语言,即使是经验不多的程序员也能够使用它来创建复杂的动态的web站点.然而,它在实现因特网服务的秘密和安全方面却常常存在许多困难.在本系列文章中,我们将向读者介绍进行web开发所必需的安全背景以及PHP特定的知识和代码-你可以借以保护你自己的web应用程序的安全性和一致性.首先,我们简单地回顾一下服务器安全问题-展示你如何存取一个共			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMq9ORM.html" rel="bookmark">ASP&period;NET如何防范SQL注入式攻击</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|攻击 ⑴ 某个ASP.NET Web应用有一个登录页面,这个登录页面控制着用户是否有权访问应用,它要求用户输入一个名称和密码. ⑵ 登录页面中输入的内容将直接用来构造动态的SQL命令,或者直接用作存储过程的参数.下面是ASP.NET应用构造查询的一个例子: System.Text.StringBuilder query = new System.Text.StringBuilder( SELECT * from Users WHERE login = ) .Append(txtL			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvxgNz.html" rel="bookmark" class="title">使用JavaScript来编写动态Html</a>
					<div>
						javascript|动态 现在我们开始使用JavaScript来编写动态Html,JavaScript是一种脚本语言,使用起来就象是在编写程序一样.实际上,我们只要在Html文件中加入&lt;scr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMy7kPz.html" rel="bookmark" class="title">批量数据录入&comma; 辅助输入数据&comma; 以及相关检测&lpar;ASP 服务器端&rpar;</a>
					<div>
						服务器|数据 &lt;!--#include file=&quot;../__Inc/goperation.asp&quot;--&gt;&lt;% Dim intBillTotal, intBill ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvkZap.html" rel="bookmark" class="title">C语言递归实现汉诺塔算法</a>
					<div>
						汉诺塔的递归实现算法,将A中的圆盘借助B圆盘完全移动到C圆盘上, 每次只能移动一个圆盘,并且每次移动时大盘不能放在小盘上面 递归函数的伪算法为如下: if(n == 1) 直接将A柱子上的圆盘从A移动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKPLjp.html" rel="bookmark" class="title">JQuery插件jcarousellite的参数中文说明</a>
					<div>
						  这篇文章主要介绍了JQuery插件jcarousellite的参数中文说明,本文分别给出各个参数的含义,需要的朋友可以参考下 参数说明: btnPrev string 上一个按钮的class名,  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3WrOp.html" rel="bookmark" class="title">linux中利用UnixBench进行性能测试</a>
					<div>
						 UnixBench是一款开源的测试 unix 系统基本性能的工具,是比较通用的测试VPS性能的工具. UnixBench会执行一系列的测试,包括2D和3D图形系统的性能衡量,测试的结果不仅仅只是CP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLa24Lz.html" rel="bookmark" class="title">led显示屏怎么改字？</a>
					<div>
						  很多网友都会在商店门口安装LED显示屏,方便打出自己店内的促销内容和联系方式,从而吸引客户的注意力.那么,led显示屏怎么改字?在今天的教程中,我们就使用LedshowTW这款led显示屏控制软件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo78JEb.html" rel="bookmark" class="title">Pages如何添加页眉、页脚和页码</a>
					<div>
						  很多刚刚开始使用Mac电脑的人可能还不太清楚,Pages如何添加页眉.页脚和页码.其实,这很简单.您可以添加将在每一页上出现的页眉和页脚.您还可以在文稿的页眉.页脚或任意位置插入页码.页数以及日期 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdooqM.html" rel="bookmark" class="title">怎么查看Intel集成显卡最大共享缓存</a>
					<div>
						  问题描述: 如何查看Intel集成显卡最大共享缓存 适用范围: Intel集成显卡机型,安装最新显卡驱动 解决方案: 安装Intel显卡驱动后,右键点击桌面,选择&quot;图形属性&quot;, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAr5wJp.html" rel="bookmark" class="title">Android app启动时黑屏或者白屏的原因及解决办法&lowbar;Android</a>
					<div>
						1.产生原因 其实显示黑屏或者白屏实属正常,这是因为还没加载到布局文件,就已经显示了window窗口背景,黑屏白屏就是window窗口背景. 示例: 2.解决办法 通过设置设置Style (1)设置背 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NAvoM.html" rel="bookmark" class="title">《Swift iOS应用开发实战》&mdash;&mdash;1&period;3　了解Xcode</a>
					<div>
						1.3 了解Xcode 作为一名开发者,不管在什么平台上进行开发,总需要一大堆的软件支持,才能将自己的想法变成可以让成千上万人受益的应用程序.苹果不希望这样,它为开发者提供了一个优雅的.功能强大的.光 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPKN1p.html" rel="bookmark" class="title">单点登录 域名-单点登录 怎么动态传入域名！！！</a>
					<div>
						问题描述 单点登录 怎么动态传入域名!!! 现在做一个单点登录的例子,用了cas的jar包,这个过滤器必须配个serverName属性,就是项目的域名,但是我的项目的域名有多个,根据单位的不同域名也就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjEgep.html" rel="bookmark" class="title">WCF客户端调用服务延迟</a>
					<div>
						问题描述 大家好,我写了一个WCF服务,平时调用响应都挺快的,由于我有时操作要上传很多的数据并且放入内存中计算,就在数据量大的时候发现响应有延迟了(并不是方法内部处理的慢,而是根本就没有进入方法,感觉 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvrk1VM.html" rel="bookmark" class="title">通过测试来说明SQL Server收缩user database的行为</a>
					<div>
						之前我们讨论了dbcc shrinkfile改变tempdb initial size的情况.而用DBCC Shrinkfile去收缩一个user database,情况就比较简单了.让我们通过一些测 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQV7np.html" rel="bookmark" class="title">An HTTP &amp;amp&semi; HTTP&sol;2 client for Android and Java applications OkHttp</a>
					<div>
						  HTTP is the way modern applications network. It's how we exchange data &amp; media. Doing HTTP eff ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLLOWp.html" rel="bookmark" class="title">android 界面间的跳转用什么实现，跳转时activity的生命周期</a>
					<div>
						问题描述 界面间的跳转用什么实现,跳转时activity的生命周期 解决方案 Activity的生命周期看清楚了你应该就不会有这个跳转时生命周期的问题了.里面描述得很清楚.跳转方法很多,看下面这个:h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Z0PLM.html" rel="bookmark" class="title">Upgrading JIRA 3&period;x Data to JIRA 6&period;x - JIRA 6&period;3&quest;</a>
					<div>
						问题描述 UpgradingJIRA3.xDatatoJIRA6.x-JIRA6.3? 解决方案 解决方案二:建议严格按照官方文档来升级3.X我没有用过我的经验:4.4升级6.2必须有中间版本4.4. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrX28yz.html" rel="bookmark" class="title">jsp-在浏览器中运行tomcat是空白页</a>
					<div>
						问题描述 在浏览器中运行tomcat是空白页 项目运行的时候一直是404错误,后来改掉代码的一个错误,就会出现500的错误,现在又变成404,不是浏览器的问题还是tomcat有问题,但是tomcat又 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmlX8b.html" rel="bookmark" class="title">一些工作中遇到的问题分享</a>
					<div>
						这些是在工作过程中遇到的问题 当bash命令中有warning,想消除warning怎么做? cat access.log 2&gt; /dev/null 将系统error不返回到控制台 这里使用2& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLvmnp.html" rel="bookmark" class="title">mvc 下 jquery post提交 action 得不到值 值为null</a>
					<div>
						问题描述 mvc 下 jquery post提交 action 得不到值 值为null 前台js var ddd = function () { $.post(&quot;/Home/ttt&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94G2Kb.html" rel="bookmark" class="title">文广集团黎瑞刚继任者的挑战</a>
					<div>
						陶斯然 上海文广集团(下称&quot;SMG&quot;)总裁黎瑞刚的继任者,或已经确定. &quot;我们听说,新老板已经定下来了,但消息还没正式公布.&quot;9月16日上午,SMG旗下上海电视 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWBveM.html" rel="bookmark" class="title">《CCNP TSHOOT 300-135认证考试指南》&mdash;&mdash;2&period;7节复习所有考试要点</a>
					<div>
						2.7 复习所有考试要点 CCNP TSHOOT 300-135认证考试指南 请复习本章所有的考试要点,在页边距中我们已使用图标&quot;考试要点&quot;进行了标注.表2-5列出了这些考试要点.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xnXvb.html" rel="bookmark" class="title">百钱买百鸡</a>
					<div>
						原文:百钱买百鸡 问题:&quot;鸡翁一值钱五,鸡母一值钱三,鸡雏三值钱一&quot;. 说明:一只公鸡值五钱,一只母鸡值三钱,三只小鸡值一钱,问如何用100钱买100只鸡? 设公鸡.母鸡.鸡雏分别 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoDmAM.html" rel="bookmark" class="title">socket-为什么我的端口80一直别占用啊？</a>
					<div>
						问题描述 为什么我的端口80一直别占用啊? 我用底下这些代码处理过 ,我的端口还是在占用中,蒙蔽了... int opt = 1; setsockopt(sockfd, SOL_SOCKET, SO_ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoY5AM.html" rel="bookmark" class="title">MiniJava 编译器能否提供比较好的参考资料？</a>
					<div>
						问题描述 这学期,跟同学一起做MiniJAVA编译器,感觉挺有困难.对于面向对象语言的开发,现在思路还不是很清楚,不知道各位博友有没有相关方面的资料可以提供?有关面向对象语言编译器的开发. 解决方案  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgERY1z.html" rel="bookmark" class="title">php使用正则表达式验证网址链接</a>
					<div>
						之前折腾了一个短网址程序,过程挺顺利的,唯一就是在验证网址这一步卡了壳,花费了整个过程的一大半时间,最终经过一番搜索.折腾和测试,才算找到一个完美的解决方案. 在短网址程序中,验证网址无疑是很重要的. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvAqPM.html" rel="bookmark" class="title">SQL Server查询语句运行指标值监测学习总结</a>
					<div>
						前言 上一篇我们分析了查询优化器的工作方式,其中包括:查询优化器的详细运行步骤.筛选条件分析.索引项优化等信息. 本篇我们分析在我们运行的过程中几个关键指标值的检测. 通过这些指标值来分析语句的运行问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0N0n8z.html" rel="bookmark" class="title">新确科技海湾今早停牌</a>
					<div>
						新确科技(01063-HK)停牌,待发配售可换股债券之公告. 海湾控股(00416-HK)停牌,暂未知悉原因.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QVDdM.html" rel="bookmark" class="title">平衡企业管理与协作Worktile让工作更简单</a>
					<div>
						降本增效从而创造更大商业价值,这一直是每个企业不断追寻的方向,也是每一款协作应用持续挖掘的目标.在商业创新的时代,顺畅的协作对于激发员工能动性有着很重要的意义,而管理却是企业不可或缺的元素.但事实上真 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baqd3Pb.html" rel="bookmark" class="title">MyEclipse放入Tomcat中加载的时候总是出相同异常</a>
					<div>
						问题描述 严重:Errorconfiguringapplicationlistenerofclasscn.com.csuinfosoft.listener.MyHttpSessionListenerj ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWWaOp.html" rel="bookmark" class="title">Tomcat7&period;0&period;32 Filter拦截不到 &commat;&amp;amp&semi;amp&semi;lt&semi;&percnt;&commat; include file&equals;&amp;amp&semi;&num;039&semi;xxx&period;jsp&amp;amp&semi;&num;039&semi;&percnt;&amp;amp&semi;amp&semi;gt&semi;请求</a>
					<div>
						问题描述 &lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;&lt;web-app version=&quot;2.5&q ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
